#!/usr/local/bin/perl -w
use strict;
use Log::Dispatch;
use Log::Dispatch::File;

my $dispatcher = Log::Dispatch->new;

$dispatcher->add(
    Log::Dispatch::File->new(
        name => 'file1',
        min_level => 'debug',
        filename => 'logfile',
    ),
);

$dispatcher->log(
    level => 'info',
    message => 'Blah, blah',
);