package WebDP::Logger;
use strict;
use Log::Dispatch::Config;
use base qw(Log::Dispatch::Config); # #1

WebDP::Logger->configure('log.conf'); # #2

sub logit {
    my($class, $level, $msg) = @_;
    local $Log::Dispatch::Config::CallerDepth = 1; # #3
    $class->instance->log(level => $level, message => $msg);
}

1;