package WebDP::SimpleLog;
use strict;
use vars qw(@ISA @EXPORT);

require Exporter;
@ISA    = qw(Exporter);
@EXPORT = qw(logit);

use Carp;

$WebDP::SimpleLog::LogLevel = 1; # default

sub logit {
    my %args = @_;
    if ($args{level} >= $WebDP::SimpleLog::LogLevel) {
        my $sub = $args{trace} ? \&Carp::cluck : \&Carp::carp;
        $sub->($args{msg});
    }
}

1;